<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.crgs.entbase.mapper.TCompanyDetailsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.crgs.entbase.entity.TCompanyDetails">
        <id column="id" property="id" />
        <result column="name" property="name" />
        <result column="uscc" property="uscc" />
        <result column="type" property="type" />
        <result column="regulatory" property="regulatory" />
        <result column="registration" property="registration" />
        <result column="representative" property="representative" />
        <result column="region" property="region" />
        <result column="scope" property="scope" />
        <result column="state" property="state" />
        <result column="label" property="label" />
        <result column="phone" property="phone" />
        <result column="email" property="email" />
        <result column="address" property="address" />
        <result column="website" property="website" />
        <result column="score" property="score" />
        <result column="branch" property="branch" />
        <result column="investment" property="investment" />
        <result column="level" property="level" />
        <result column="industry" property="industry" />
        <result column="update_by" property="updateBy" />
        <result column="create_time" property="createTime" />
        <result column="create_by" property="createBy" />
        <result column="update_time" property="updateTime" />
        <result column="street_long" property="streetLong" />
        <result column="street_name" property="streetName" />
        <result column="type_name" property="typeName" />
        <result column="regulatory_name" property="regulatoryName" />
        <result column="registration_name" property="registrationName" />
        <result column="industry_name" property="industryName" />
        <result column="est_date" property="estDate" />
        <result column="appr_date" property="apprDate" />
        <result column="rev_date" property="revDate" />
        <result column="open_from" property="openFrom" />
        <result column="open_to" property="openTo" />
        <result column="reg_cap" property="regCap" />
        <result column="pripid" property="pripid" />
        <result column="reg_no" property="regNo" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, name, uscc, type, regulatory, registration, representative, region, scope, state, label, phone, email, address, website, score, branch, investment, level, industry, update_by, create_time, create_by, update_time, street_long, street_name, type_name, regulatory_name, registration_name, industry_name, est_date, appr_date, rev_date, open_from, open_to, reg_cap, pripid, reg_no
    </sql>

</mapper>
